using System;
using System.ComponentModel;
using System.Collections;
using System.Diagnostics;
using System.Data;
using System.Data.Common;
using System.Data.SqlClient;

namespace SmartClientCommDataAccess
{
	/// <summary>
	/// Summary description for SalesOrderDataAccess.
	/// </summary>
	public class SalesOrderDataAccess : System.ComponentModel.Component
	{
      private SqlCommand sqlSelectCommand1;
      private SqlCommand sqlInsertCommand1;
      private SqlCommand sqlUpdateCommand1;
      private SqlCommand sqlDeleteCommand1;
      private SqlConnection m_Connection;
      private SqlDataAdapter m_SalesOrderDetailAdapter;
      private SqlCommand sqlSelectCommand2;
      private SqlCommand sqlInsertCommand2;
      private SqlCommand sqlUpdateCommand2;
      private SqlCommand sqlDeleteCommand2;
      private SqlDataAdapter m_ProductAdapter;
      private System.Data.SqlClient.SqlDataAdapter m_SimpleSalesAdapter;
      private System.Data.SqlClient.SqlCommand sqlSelectCommand3;
      private System.Data.SqlClient.SqlCommand sqlInsertCommand3;
      private System.Data.SqlClient.SqlCommand sqlUpdateCommand3;
      private System.Data.SqlClient.SqlCommand sqlDeleteCommand3;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public SalesOrderDataAccess(System.ComponentModel.IContainer container)
		{
			///
			/// Required for Windows.Forms Class Composition Designer support
			///
			container.Add(this);
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		public SalesOrderDataAccess()
		{
			///
			/// Required for Windows.Forms Class Composition Designer support
			///
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

      public SalesDataSet GetSalesData()
      {
         SalesDataSet data = new SalesDataSet();
         m_ProductAdapter.Fill(data,"Product");
         m_SalesOrderDetailAdapter.Fill(data,"SalesOrderDetail");
         return data;
      }

      public SimpleSalesData GetSimpleSalesData()
      {
         SimpleSalesData data = new SimpleSalesData();
         m_SimpleSalesAdapter.Fill(data,"SalesOrderDetail");
         return data;
      }

      public SalesOrderDetail[] GetSalesDetailCollection()
      {
         SqlConnection conn = new SqlConnection("server=localhost;database=AdventureWorks2000;trusted_connection=true");
         SqlCommand cmd = new SqlCommand("SELECT SalesOrderID, UnitPrice, CarrierTrackingNumber, ModifiedDate FROM SalesOrderDetail WHERE SalesOrderID < 6000",conn);
         ArrayList arr = new ArrayList();
         using (conn)
         {
            conn.Open();
            SqlDataReader reader = cmd.ExecuteReader();
            while (reader.Read())
            {
               SalesOrderDetail detail = new SalesOrderDetail();
               detail.SalesOrderId = (int)reader["SalesOrderID"];
               detail.UnitPrice = (decimal)reader["UnitPrice"];
               detail.ModifiedDate = (DateTime)reader["ModifiedDate"];
               detail.CarrierTrackingNumber = (string)reader["CarrierTrackingNumber"];
               arr.Add(detail);
            }
         }
         return (SalesOrderDetail[])arr.ToArray(typeof(SalesOrderDetail));
      }


		#region Component Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
         this.sqlSelectCommand1 = new System.Data.SqlClient.SqlCommand();
         this.m_Connection = new System.Data.SqlClient.SqlConnection();
         this.sqlInsertCommand1 = new System.Data.SqlClient.SqlCommand();
         this.sqlUpdateCommand1 = new System.Data.SqlClient.SqlCommand();
         this.sqlDeleteCommand1 = new System.Data.SqlClient.SqlCommand();
         this.m_SalesOrderDetailAdapter = new System.Data.SqlClient.SqlDataAdapter();
         this.sqlSelectCommand2 = new System.Data.SqlClient.SqlCommand();
         this.sqlInsertCommand2 = new System.Data.SqlClient.SqlCommand();
         this.sqlUpdateCommand2 = new System.Data.SqlClient.SqlCommand();
         this.sqlDeleteCommand2 = new System.Data.SqlClient.SqlCommand();
         this.m_ProductAdapter = new System.Data.SqlClient.SqlDataAdapter();
         this.m_SimpleSalesAdapter = new System.Data.SqlClient.SqlDataAdapter();
         this.sqlSelectCommand3 = new System.Data.SqlClient.SqlCommand();
         this.sqlInsertCommand3 = new System.Data.SqlClient.SqlCommand();
         this.sqlUpdateCommand3 = new System.Data.SqlClient.SqlCommand();
         this.sqlDeleteCommand3 = new System.Data.SqlClient.SqlCommand();
         // 
         // sqlSelectCommand1
         // 
         this.sqlSelectCommand1.CommandText = "SELECT SalesOrderID, LineNumber, ProductID, SpecialOfferID, CarrierTrackingNumber" +
            ", OrderQty, UnitPrice, UnitPriceDiscount, ModifiedDate, rowguid, LineTotal FROM " +
            "SalesOrderDetail WHERE SalesOrderID < 6000";
         this.sqlSelectCommand1.Connection = this.m_Connection;
         // 
         // m_Connection
         // 
         this.m_Connection.ConnectionString = "workstation id=\"DOME-M200\";packet size=4096;integrated security=SSPI;data source=" +
            "\".\";persist security info=False;initial catalog=AdventureWorks2000";
         // 
         // sqlInsertCommand1
         // 
         this.sqlInsertCommand1.CommandText = @"INSERT INTO SalesOrderDetail(SalesOrderID, LineNumber, ProductID, SpecialOfferID, CarrierTrackingNumber, OrderQty, UnitPrice, UnitPriceDiscount, ModifiedDate, rowguid) VALUES (@SalesOrderID, @LineNumber, @ProductID, @SpecialOfferID, @CarrierTrackingNumber, @OrderQty, @UnitPrice, @UnitPriceDiscount, @ModifiedDate, @rowguid); SELECT SalesOrderID, LineNumber, ProductID, SpecialOfferID, CarrierTrackingNumber, OrderQty, UnitPrice, UnitPriceDiscount, ModifiedDate, rowguid, LineTotal FROM SalesOrderDetail WHERE (LineNumber = @LineNumber) AND (SalesOrderID = @SalesOrderID)";
         this.sqlInsertCommand1.Connection = this.m_Connection;
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SalesOrderID", System.Data.SqlDbType.Int, 4, "SalesOrderID"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@LineNumber", System.Data.SqlDbType.TinyInt, 1, "LineNumber"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductID", System.Data.SqlDbType.Int, 4, "ProductID"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SpecialOfferID", System.Data.SqlDbType.Int, 4, "SpecialOfferID"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, "CarrierTrackingNumber"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@OrderQty", System.Data.SqlDbType.SmallInt, 2, "OrderQty"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@UnitPrice", System.Data.SqlDbType.Money, 8, "UnitPrice"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@UnitPriceDiscount", System.Data.SqlDbType.Float, 8, "UnitPriceDiscount"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ModifiedDate", System.Data.SqlDbType.DateTime, 8, "ModifiedDate"));
         this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, "rowguid"));
         // 
         // sqlUpdateCommand1
         // 
         this.sqlUpdateCommand1.CommandText = @"UPDATE SalesOrderDetail SET SalesOrderID = @SalesOrderID, LineNumber = @LineNumber, ProductID = @ProductID, SpecialOfferID = @SpecialOfferID, CarrierTrackingNumber = @CarrierTrackingNumber, OrderQty = @OrderQty, UnitPrice = @UnitPrice, UnitPriceDiscount = @UnitPriceDiscount, ModifiedDate = @ModifiedDate, rowguid = @rowguid WHERE (LineNumber = @Original_LineNumber) AND (SalesOrderID = @Original_SalesOrderID) AND (CarrierTrackingNumber = @Original_CarrierTrackingNumber OR @Original_CarrierTrackingNumber IS NULL AND CarrierTrackingNumber IS NULL) AND (ModifiedDate = @Original_ModifiedDate) AND (OrderQty = @Original_OrderQty) AND (ProductID = @Original_ProductID OR @Original_ProductID IS NULL AND ProductID IS NULL) AND (SpecialOfferID = @Original_SpecialOfferID OR @Original_SpecialOfferID IS NULL AND SpecialOfferID IS NULL) AND (UnitPrice = @Original_UnitPrice) AND (UnitPriceDiscount = @Original_UnitPriceDiscount) AND (rowguid = @Original_rowguid); SELECT SalesOrderID, LineNumber, ProductID, SpecialOfferID, CarrierTrackingNumber, OrderQty, UnitPrice, UnitPriceDiscount, ModifiedDate, rowguid, LineTotal FROM SalesOrderDetail WHERE (LineNumber = @LineNumber) AND (SalesOrderID = @SalesOrderID)";
         this.sqlUpdateCommand1.Connection = this.m_Connection;
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SalesOrderID", System.Data.SqlDbType.Int, 4, "SalesOrderID"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@LineNumber", System.Data.SqlDbType.TinyInt, 1, "LineNumber"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductID", System.Data.SqlDbType.Int, 4, "ProductID"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SpecialOfferID", System.Data.SqlDbType.Int, 4, "SpecialOfferID"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, "CarrierTrackingNumber"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@OrderQty", System.Data.SqlDbType.SmallInt, 2, "OrderQty"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@UnitPrice", System.Data.SqlDbType.Money, 8, "UnitPrice"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@UnitPriceDiscount", System.Data.SqlDbType.Float, 8, "UnitPriceDiscount"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ModifiedDate", System.Data.SqlDbType.DateTime, 8, "ModifiedDate"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, "rowguid"));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_LineNumber", System.Data.SqlDbType.TinyInt, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LineNumber", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SalesOrderID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SalesOrderID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "CarrierTrackingNumber", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ModifiedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ModifiedDate", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_OrderQty", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "OrderQty", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SpecialOfferID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SpecialOfferID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_UnitPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "UnitPrice", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_UnitPriceDiscount", System.Data.SqlDbType.Float, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "UnitPriceDiscount", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "rowguid", System.Data.DataRowVersion.Original, null));
         // 
         // sqlDeleteCommand1
         // 
         this.sqlDeleteCommand1.CommandText = @"DELETE FROM SalesOrderDetail WHERE (LineNumber = @Original_LineNumber) AND (SalesOrderID = @Original_SalesOrderID) AND (CarrierTrackingNumber = @Original_CarrierTrackingNumber OR @Original_CarrierTrackingNumber IS NULL AND CarrierTrackingNumber IS NULL) AND (LineTotal = @Original_LineTotal OR @Original_LineTotal IS NULL AND LineTotal IS NULL) AND (ModifiedDate = @Original_ModifiedDate) AND (OrderQty = @Original_OrderQty) AND (ProductID = @Original_ProductID OR @Original_ProductID IS NULL AND ProductID IS NULL) AND (SpecialOfferID = @Original_SpecialOfferID OR @Original_SpecialOfferID IS NULL AND SpecialOfferID IS NULL) AND (UnitPrice = @Original_UnitPrice) AND (UnitPriceDiscount = @Original_UnitPriceDiscount) AND (rowguid = @Original_rowguid)";
         this.sqlDeleteCommand1.Connection = this.m_Connection;
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_LineNumber", System.Data.SqlDbType.TinyInt, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LineNumber", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SalesOrderID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SalesOrderID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "CarrierTrackingNumber", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_LineTotal", System.Data.SqlDbType.Float, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LineTotal", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ModifiedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ModifiedDate", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_OrderQty", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "OrderQty", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SpecialOfferID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SpecialOfferID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_UnitPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "UnitPrice", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_UnitPriceDiscount", System.Data.SqlDbType.Float, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "UnitPriceDiscount", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "rowguid", System.Data.DataRowVersion.Original, null));
         // 
         // m_SalesOrderDetailAdapter
         // 
         this.m_SalesOrderDetailAdapter.DeleteCommand = this.sqlDeleteCommand1;
         this.m_SalesOrderDetailAdapter.InsertCommand = this.sqlInsertCommand1;
         this.m_SalesOrderDetailAdapter.SelectCommand = this.sqlSelectCommand1;
         this.m_SalesOrderDetailAdapter.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
                                                                                                            new System.Data.Common.DataTableMapping("Table", "SalesOrderDetail", new System.Data.Common.DataColumnMapping[] {
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("SalesOrderID", "SalesOrderID"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("LineNumber", "LineNumber"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("ProductID", "ProductID"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("SpecialOfferID", "SpecialOfferID"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("CarrierTrackingNumber", "CarrierTrackingNumber"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("OrderQty", "OrderQty"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("UnitPrice", "UnitPrice"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("UnitPriceDiscount", "UnitPriceDiscount"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("ModifiedDate", "ModifiedDate"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("rowguid", "rowguid"),
                                                                                                                                                                                                                               new System.Data.Common.DataColumnMapping("LineTotal", "LineTotal")})});
         this.m_SalesOrderDetailAdapter.UpdateCommand = this.sqlUpdateCommand1;
         // 
         // sqlSelectCommand2
         // 
         this.sqlSelectCommand2.CommandText = @"SELECT ProductID, Name, ProductNumber, DiscontinuedDate, MakeFlag, StandardCost, FinishedGoodsFlag, Color, SafetyStockLevel, ReorderPoint, ListPrice, Size, SizeUnitMeasureCode, ProductPhotoID, WeightUnitMeasureCode, Weight, DaysToManufacture, ProductLine, DealerPrice, Class, Style, ProductSubCategoryID, ProductModelID, ModifiedDate, rowguid, SellStartDate, SellEndDate FROM Product";
         this.sqlSelectCommand2.Connection = this.m_Connection;
         // 
         // sqlInsertCommand2
         // 
         this.sqlInsertCommand2.CommandText = @"INSERT INTO Product(Name, ProductNumber, DiscontinuedDate, MakeFlag, StandardCost, FinishedGoodsFlag, Color, SafetyStockLevel, ReorderPoint, ListPrice, Size, SizeUnitMeasureCode, ProductPhotoID, WeightUnitMeasureCode, Weight, DaysToManufacture, ProductLine, DealerPrice, Class, Style, ProductSubCategoryID, ProductModelID, ModifiedDate, rowguid, SellStartDate, SellEndDate) VALUES (@Name, @ProductNumber, @DiscontinuedDate, @MakeFlag, @StandardCost, @FinishedGoodsFlag, @Color, @SafetyStockLevel, @ReorderPoint, @ListPrice, @Size, @SizeUnitMeasureCode, @ProductPhotoID, @WeightUnitMeasureCode, @Weight, @DaysToManufacture, @ProductLine, @DealerPrice, @Class, @Style, @ProductSubCategoryID, @ProductModelID, @ModifiedDate, @rowguid, @SellStartDate, @SellEndDate); SELECT ProductID, Name, ProductNumber, DiscontinuedDate, MakeFlag, StandardCost, FinishedGoodsFlag, Color, SafetyStockLevel, ReorderPoint, ListPrice, Size, SizeUnitMeasureCode, ProductPhotoID, WeightUnitMeasureCode, Weight, DaysToManufacture, ProductLine, DealerPrice, Class, Style, ProductSubCategoryID, ProductModelID, ModifiedDate, rowguid, SellStartDate, SellEndDate FROM Product WHERE (ProductID = @@IDENTITY)";
         this.sqlInsertCommand2.Connection = this.m_Connection;
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Name", System.Data.SqlDbType.NVarChar, 50, "Name"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductNumber", System.Data.SqlDbType.NVarChar, 25, "ProductNumber"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@DiscontinuedDate", System.Data.SqlDbType.DateTime, 8, "DiscontinuedDate"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@MakeFlag", System.Data.SqlDbType.Bit, 1, "MakeFlag"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@StandardCost", System.Data.SqlDbType.Money, 8, "StandardCost"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@FinishedGoodsFlag", System.Data.SqlDbType.Bit, 1, "FinishedGoodsFlag"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Color", System.Data.SqlDbType.NVarChar, 15, "Color"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SafetyStockLevel", System.Data.SqlDbType.SmallInt, 2, "SafetyStockLevel"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ReorderPoint", System.Data.SqlDbType.SmallInt, 2, "ReorderPoint"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ListPrice", System.Data.SqlDbType.Money, 8, "ListPrice"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Size", System.Data.SqlDbType.NVarChar, 50, "Size"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SizeUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, "SizeUnitMeasureCode"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductPhotoID", System.Data.SqlDbType.Int, 4, "ProductPhotoID"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@WeightUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, "WeightUnitMeasureCode"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Weight", System.Data.SqlDbType.Float, 8, "Weight"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@DaysToManufacture", System.Data.SqlDbType.Int, 4, "DaysToManufacture"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductLine", System.Data.SqlDbType.NVarChar, 2, "ProductLine"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@DealerPrice", System.Data.SqlDbType.Money, 8, "DealerPrice"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Class", System.Data.SqlDbType.NVarChar, 2, "Class"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Style", System.Data.SqlDbType.NVarChar, 2, "Style"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductSubCategoryID", System.Data.SqlDbType.SmallInt, 2, "ProductSubCategoryID"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductModelID", System.Data.SqlDbType.Int, 4, "ProductModelID"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ModifiedDate", System.Data.SqlDbType.DateTime, 8, "ModifiedDate"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, "rowguid"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SellStartDate", System.Data.SqlDbType.DateTime, 8, "SellStartDate"));
         this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SellEndDate", System.Data.SqlDbType.DateTime, 8, "SellEndDate"));
         // 
         // sqlUpdateCommand2
         // 
         this.sqlUpdateCommand2.CommandText = "UPDATE Product SET Name = @Name, ProductNumber = @ProductNumber, DiscontinuedDate" +
            " = @DiscontinuedDate, MakeFlag = @MakeFlag, StandardCost = @StandardCost, Finish" +
            "edGoodsFlag = @FinishedGoodsFlag, Color = @Color, SafetyStockLevel = @SafetyStoc" +
            "kLevel, ReorderPoint = @ReorderPoint, ListPrice = @ListPrice, Size = @Size, Size" +
            "UnitMeasureCode = @SizeUnitMeasureCode, ProductPhotoID = @ProductPhotoID, Weight" +
            "UnitMeasureCode = @WeightUnitMeasureCode, Weight = @Weight, DaysToManufacture = " +
            "@DaysToManufacture, ProductLine = @ProductLine, DealerPrice = @DealerPrice, Clas" +
            "s = @Class, Style = @Style, ProductSubCategoryID = @ProductSubCategoryID, Produc" +
            "tModelID = @ProductModelID, ModifiedDate = @ModifiedDate, rowguid = @rowguid, Se" +
            "llStartDate = @SellStartDate, SellEndDate = @SellEndDate WHERE (ProductID = @Ori" +
            "ginal_ProductID) AND (Class = @Original_Class OR @Original_Class IS NULL AND Cla" +
            "ss IS NULL) AND (Color = @Original_Color OR @Original_Color IS NULL AND Color IS" +
            " NULL) AND (DaysToManufacture = @Original_DaysToManufacture OR @Original_DaysToM" +
            "anufacture IS NULL AND DaysToManufacture IS NULL) AND (DealerPrice = @Original_D" +
            "ealerPrice OR @Original_DealerPrice IS NULL AND DealerPrice IS NULL) AND (Discon" +
            "tinuedDate = @Original_DiscontinuedDate OR @Original_DiscontinuedDate IS NULL AN" +
            "D DiscontinuedDate IS NULL) AND (FinishedGoodsFlag = @Original_FinishedGoodsFlag" +
            ") AND (ListPrice = @Original_ListPrice OR @Original_ListPrice IS NULL AND ListPr" +
            "ice IS NULL) AND (MakeFlag = @Original_MakeFlag) AND (ModifiedDate = @Original_M" +
            "odifiedDate) AND (Name = @Original_Name) AND (ProductLine = @Original_ProductLin" +
            "e OR @Original_ProductLine IS NULL AND ProductLine IS NULL) AND (ProductModelID " +
            "= @Original_ProductModelID OR @Original_ProductModelID IS NULL AND ProductModelI" +
            "D IS NULL) AND (ProductNumber = @Original_ProductNumber OR @Original_ProductNumb" +
            "er IS NULL AND ProductNumber IS NULL) AND (ProductPhotoID = @Original_ProductPho" +
            "toID OR @Original_ProductPhotoID IS NULL AND ProductPhotoID IS NULL) AND (Produc" +
            "tSubCategoryID = @Original_ProductSubCategoryID OR @Original_ProductSubCategoryI" +
            "D IS NULL AND ProductSubCategoryID IS NULL) AND (ReorderPoint = @Original_Reorde" +
            "rPoint OR @Original_ReorderPoint IS NULL AND ReorderPoint IS NULL) AND (SafetySt" +
            "ockLevel = @Original_SafetyStockLevel OR @Original_SafetyStockLevel IS NULL AND " +
            "SafetyStockLevel IS NULL) AND (SellEndDate = @Original_SellEndDate OR @Original_" +
            "SellEndDate IS NULL AND SellEndDate IS NULL) AND (SellStartDate = @Original_Sell" +
            "StartDate OR @Original_SellStartDate IS NULL AND SellStartDate IS NULL) AND (Siz" +
            "e = @Original_Size OR @Original_Size IS NULL AND Size IS NULL) AND (SizeUnitMeas" +
            "ureCode = @Original_SizeUnitMeasureCode OR @Original_SizeUnitMeasureCode IS NULL" +
            " AND SizeUnitMeasureCode IS NULL) AND (StandardCost = @Original_StandardCost OR " +
            "@Original_StandardCost IS NULL AND StandardCost IS NULL) AND (Style = @Original_" +
            "Style OR @Original_Style IS NULL AND Style IS NULL) AND (Weight = @Original_Weig" +
            "ht OR @Original_Weight IS NULL AND Weight IS NULL) AND (WeightUnitMeasureCode = " +
            "@Original_WeightUnitMeasureCode OR @Original_WeightUnitMeasureCode IS NULL AND W" +
            "eightUnitMeasureCode IS NULL) AND (rowguid = @Original_rowguid); SELECT ProductI" +
            "D, Name, ProductNumber, DiscontinuedDate, MakeFlag, StandardCost, FinishedGoodsF" +
            "lag, Color, SafetyStockLevel, ReorderPoint, ListPrice, Size, SizeUnitMeasureCode" +
            ", ProductPhotoID, WeightUnitMeasureCode, Weight, DaysToManufacture, ProductLine," +
            " DealerPrice, Class, Style, ProductSubCategoryID, ProductModelID, ModifiedDate, " +
            "rowguid, SellStartDate, SellEndDate FROM Product WHERE (ProductID = @ProductID)";
         this.sqlUpdateCommand2.Connection = this.m_Connection;
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Name", System.Data.SqlDbType.NVarChar, 50, "Name"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductNumber", System.Data.SqlDbType.NVarChar, 25, "ProductNumber"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@DiscontinuedDate", System.Data.SqlDbType.DateTime, 8, "DiscontinuedDate"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@MakeFlag", System.Data.SqlDbType.Bit, 1, "MakeFlag"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@StandardCost", System.Data.SqlDbType.Money, 8, "StandardCost"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@FinishedGoodsFlag", System.Data.SqlDbType.Bit, 1, "FinishedGoodsFlag"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Color", System.Data.SqlDbType.NVarChar, 15, "Color"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SafetyStockLevel", System.Data.SqlDbType.SmallInt, 2, "SafetyStockLevel"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ReorderPoint", System.Data.SqlDbType.SmallInt, 2, "ReorderPoint"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ListPrice", System.Data.SqlDbType.Money, 8, "ListPrice"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Size", System.Data.SqlDbType.NVarChar, 50, "Size"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SizeUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, "SizeUnitMeasureCode"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductPhotoID", System.Data.SqlDbType.Int, 4, "ProductPhotoID"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@WeightUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, "WeightUnitMeasureCode"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Weight", System.Data.SqlDbType.Float, 8, "Weight"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@DaysToManufacture", System.Data.SqlDbType.Int, 4, "DaysToManufacture"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductLine", System.Data.SqlDbType.NVarChar, 2, "ProductLine"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@DealerPrice", System.Data.SqlDbType.Money, 8, "DealerPrice"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Class", System.Data.SqlDbType.NVarChar, 2, "Class"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Style", System.Data.SqlDbType.NVarChar, 2, "Style"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductSubCategoryID", System.Data.SqlDbType.SmallInt, 2, "ProductSubCategoryID"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductModelID", System.Data.SqlDbType.Int, 4, "ProductModelID"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ModifiedDate", System.Data.SqlDbType.DateTime, 8, "ModifiedDate"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, "rowguid"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SellStartDate", System.Data.SqlDbType.DateTime, 8, "SellStartDate"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SellEndDate", System.Data.SqlDbType.DateTime, 8, "SellEndDate"));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Class", System.Data.SqlDbType.NVarChar, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Class", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Color", System.Data.SqlDbType.NVarChar, 15, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Color", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_DaysToManufacture", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "DaysToManufacture", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_DealerPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "DealerPrice", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_DiscontinuedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "DiscontinuedDate", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_FinishedGoodsFlag", System.Data.SqlDbType.Bit, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "FinishedGoodsFlag", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ListPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ListPrice", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_MakeFlag", System.Data.SqlDbType.Bit, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "MakeFlag", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ModifiedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ModifiedDate", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Name", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Name", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductLine", System.Data.SqlDbType.NVarChar, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductLine", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductModelID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductModelID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductNumber", System.Data.SqlDbType.NVarChar, 25, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductNumber", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductPhotoID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductPhotoID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductSubCategoryID", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductSubCategoryID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ReorderPoint", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ReorderPoint", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SafetyStockLevel", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SafetyStockLevel", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SellEndDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SellEndDate", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SellStartDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SellStartDate", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Size", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Size", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SizeUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SizeUnitMeasureCode", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_StandardCost", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "StandardCost", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Style", System.Data.SqlDbType.NVarChar, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Style", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Weight", System.Data.SqlDbType.Float, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Weight", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_WeightUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "WeightUnitMeasureCode", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "rowguid", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProductID", System.Data.SqlDbType.Int, 4, "ProductID"));
         // 
         // sqlDeleteCommand2
         // 
         this.sqlDeleteCommand2.CommandText = "DELETE FROM Product WHERE (ProductID = @Original_ProductID) AND (Class = @Origina" +
            "l_Class OR @Original_Class IS NULL AND Class IS NULL) AND (Color = @Original_Col" +
            "or OR @Original_Color IS NULL AND Color IS NULL) AND (DaysToManufacture = @Origi" +
            "nal_DaysToManufacture OR @Original_DaysToManufacture IS NULL AND DaysToManufactu" +
            "re IS NULL) AND (DealerPrice = @Original_DealerPrice OR @Original_DealerPrice IS" +
            " NULL AND DealerPrice IS NULL) AND (DiscontinuedDate = @Original_DiscontinuedDat" +
            "e OR @Original_DiscontinuedDate IS NULL AND DiscontinuedDate IS NULL) AND (Finis" +
            "hedGoodsFlag = @Original_FinishedGoodsFlag) AND (ListPrice = @Original_ListPrice" +
            " OR @Original_ListPrice IS NULL AND ListPrice IS NULL) AND (MakeFlag = @Original" +
            "_MakeFlag) AND (ModifiedDate = @Original_ModifiedDate) AND (Name = @Original_Nam" +
            "e) AND (ProductLine = @Original_ProductLine OR @Original_ProductLine IS NULL AND" +
            " ProductLine IS NULL) AND (ProductModelID = @Original_ProductModelID OR @Origina" +
            "l_ProductModelID IS NULL AND ProductModelID IS NULL) AND (ProductNumber = @Origi" +
            "nal_ProductNumber OR @Original_ProductNumber IS NULL AND ProductNumber IS NULL) " +
            "AND (ProductPhotoID = @Original_ProductPhotoID OR @Original_ProductPhotoID IS NU" +
            "LL AND ProductPhotoID IS NULL) AND (ProductSubCategoryID = @Original_ProductSubC" +
            "ategoryID OR @Original_ProductSubCategoryID IS NULL AND ProductSubCategoryID IS " +
            "NULL) AND (ReorderPoint = @Original_ReorderPoint OR @Original_ReorderPoint IS NU" +
            "LL AND ReorderPoint IS NULL) AND (SafetyStockLevel = @Original_SafetyStockLevel " +
            "OR @Original_SafetyStockLevel IS NULL AND SafetyStockLevel IS NULL) AND (SellEnd" +
            "Date = @Original_SellEndDate OR @Original_SellEndDate IS NULL AND SellEndDate IS" +
            " NULL) AND (SellStartDate = @Original_SellStartDate OR @Original_SellStartDate I" +
            "S NULL AND SellStartDate IS NULL) AND (Size = @Original_Size OR @Original_Size I" +
            "S NULL AND Size IS NULL) AND (SizeUnitMeasureCode = @Original_SizeUnitMeasureCod" +
            "e OR @Original_SizeUnitMeasureCode IS NULL AND SizeUnitMeasureCode IS NULL) AND " +
            "(StandardCost = @Original_StandardCost OR @Original_StandardCost IS NULL AND Sta" +
            "ndardCost IS NULL) AND (Style = @Original_Style OR @Original_Style IS NULL AND S" +
            "tyle IS NULL) AND (Weight = @Original_Weight OR @Original_Weight IS NULL AND Wei" +
            "ght IS NULL) AND (WeightUnitMeasureCode = @Original_WeightUnitMeasureCode OR @Or" +
            "iginal_WeightUnitMeasureCode IS NULL AND WeightUnitMeasureCode IS NULL) AND (row" +
            "guid = @Original_rowguid)";
         this.sqlDeleteCommand2.Connection = this.m_Connection;
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Class", System.Data.SqlDbType.NVarChar, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Class", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Color", System.Data.SqlDbType.NVarChar, 15, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Color", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_DaysToManufacture", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "DaysToManufacture", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_DealerPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "DealerPrice", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_DiscontinuedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "DiscontinuedDate", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_FinishedGoodsFlag", System.Data.SqlDbType.Bit, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "FinishedGoodsFlag", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ListPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ListPrice", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_MakeFlag", System.Data.SqlDbType.Bit, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "MakeFlag", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ModifiedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ModifiedDate", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Name", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Name", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductLine", System.Data.SqlDbType.NVarChar, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductLine", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductModelID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductModelID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductNumber", System.Data.SqlDbType.NVarChar, 25, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductNumber", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductPhotoID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductPhotoID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ProductSubCategoryID", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ProductSubCategoryID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ReorderPoint", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ReorderPoint", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SafetyStockLevel", System.Data.SqlDbType.SmallInt, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SafetyStockLevel", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SellEndDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SellEndDate", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SellStartDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SellStartDate", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Size", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Size", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SizeUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SizeUnitMeasureCode", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_StandardCost", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "StandardCost", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Style", System.Data.SqlDbType.NVarChar, 2, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Style", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_Weight", System.Data.SqlDbType.Float, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "Weight", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_WeightUnitMeasureCode", System.Data.SqlDbType.NVarChar, 3, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "WeightUnitMeasureCode", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_rowguid", System.Data.SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "rowguid", System.Data.DataRowVersion.Original, null));
         // 
         // m_ProductAdapter
         // 
         this.m_ProductAdapter.DeleteCommand = this.sqlDeleteCommand2;
         this.m_ProductAdapter.InsertCommand = this.sqlInsertCommand2;
         this.m_ProductAdapter.SelectCommand = this.sqlSelectCommand2;
         this.m_ProductAdapter.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
                                                                                                   new System.Data.Common.DataTableMapping("Table", "Product", new System.Data.Common.DataColumnMapping[] {
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ProductID", "ProductID"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("Name", "Name"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ProductNumber", "ProductNumber"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("DiscontinuedDate", "DiscontinuedDate"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("MakeFlag", "MakeFlag"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("StandardCost", "StandardCost"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("FinishedGoodsFlag", "FinishedGoodsFlag"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("Color", "Color"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("SafetyStockLevel", "SafetyStockLevel"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ReorderPoint", "ReorderPoint"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ListPrice", "ListPrice"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("Size", "Size"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("SizeUnitMeasureCode", "SizeUnitMeasureCode"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ProductPhotoID", "ProductPhotoID"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("WeightUnitMeasureCode", "WeightUnitMeasureCode"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("Weight", "Weight"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("DaysToManufacture", "DaysToManufacture"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ProductLine", "ProductLine"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("DealerPrice", "DealerPrice"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("Class", "Class"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("Style", "Style"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ProductSubCategoryID", "ProductSubCategoryID"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ProductModelID", "ProductModelID"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("ModifiedDate", "ModifiedDate"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("rowguid", "rowguid"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("SellStartDate", "SellStartDate"),
                                                                                                                                                                                                             new System.Data.Common.DataColumnMapping("SellEndDate", "SellEndDate")})});
         this.m_ProductAdapter.UpdateCommand = this.sqlUpdateCommand2;
         // 
         // m_SimpleSalesAdapter
         // 
         this.m_SimpleSalesAdapter.DeleteCommand = this.sqlDeleteCommand3;
         this.m_SimpleSalesAdapter.InsertCommand = this.sqlInsertCommand3;
         this.m_SimpleSalesAdapter.SelectCommand = this.sqlSelectCommand3;
         this.m_SimpleSalesAdapter.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
                                                                                                       new System.Data.Common.DataTableMapping("Table", "SalesOrderDetail", new System.Data.Common.DataColumnMapping[] {
                                                                                                                                                                                                                          new System.Data.Common.DataColumnMapping("SalesOrderID", "SalesOrderID"),
                                                                                                                                                                                                                          new System.Data.Common.DataColumnMapping("UnitPrice", "UnitPrice"),
                                                                                                                                                                                                                          new System.Data.Common.DataColumnMapping("ModifiedDate", "ModifiedDate"),
                                                                                                                                                                                                                          new System.Data.Common.DataColumnMapping("CarrierTrackingNumber", "CarrierTrackingNumber"),
                                                                                                                                                                                                                          new System.Data.Common.DataColumnMapping("LineNumber", "LineNumber")})});
         this.m_SimpleSalesAdapter.UpdateCommand = this.sqlUpdateCommand3;
         // 
         // sqlSelectCommand3
         // 
         this.sqlSelectCommand3.CommandText = "SELECT SalesOrderID, UnitPrice, ModifiedDate, CarrierTrackingNumber, LineNumber F" +
            "ROM SalesOrderDetail WHERE (SalesOrderID < 6000)";
         this.sqlSelectCommand3.Connection = this.m_Connection;
         // 
         // sqlInsertCommand3
         // 
         this.sqlInsertCommand3.CommandText = @"INSERT INTO SalesOrderDetail(SalesOrderID, UnitPrice, ModifiedDate, CarrierTrackingNumber, LineNumber) VALUES (@SalesOrderID, @UnitPrice, @ModifiedDate, @CarrierTrackingNumber, @LineNumber); SELECT SalesOrderID, UnitPrice, ModifiedDate, CarrierTrackingNumber, LineNumber FROM SalesOrderDetail WHERE (LineNumber = @LineNumber) AND (SalesOrderID = @SalesOrderID)";
         this.sqlInsertCommand3.Connection = this.m_Connection;
         this.sqlInsertCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SalesOrderID", System.Data.SqlDbType.Int, 4, "SalesOrderID"));
         this.sqlInsertCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@UnitPrice", System.Data.SqlDbType.Money, 8, "UnitPrice"));
         this.sqlInsertCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ModifiedDate", System.Data.SqlDbType.DateTime, 8, "ModifiedDate"));
         this.sqlInsertCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, "CarrierTrackingNumber"));
         this.sqlInsertCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@LineNumber", System.Data.SqlDbType.TinyInt, 1, "LineNumber"));
         // 
         // sqlUpdateCommand3
         // 
         this.sqlUpdateCommand3.CommandText = @"UPDATE SalesOrderDetail SET SalesOrderID = @SalesOrderID, UnitPrice = @UnitPrice, ModifiedDate = @ModifiedDate, CarrierTrackingNumber = @CarrierTrackingNumber, LineNumber = @LineNumber WHERE (LineNumber = @Original_LineNumber) AND (SalesOrderID = @Original_SalesOrderID) AND (CarrierTrackingNumber = @Original_CarrierTrackingNumber OR @Original_CarrierTrackingNumber IS NULL AND CarrierTrackingNumber IS NULL) AND (ModifiedDate = @Original_ModifiedDate) AND (UnitPrice = @Original_UnitPrice); SELECT SalesOrderID, UnitPrice, ModifiedDate, CarrierTrackingNumber, LineNumber FROM SalesOrderDetail WHERE (LineNumber = @LineNumber) AND (SalesOrderID = @SalesOrderID)";
         this.sqlUpdateCommand3.Connection = this.m_Connection;
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@SalesOrderID", System.Data.SqlDbType.Int, 4, "SalesOrderID"));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@UnitPrice", System.Data.SqlDbType.Money, 8, "UnitPrice"));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ModifiedDate", System.Data.SqlDbType.DateTime, 8, "ModifiedDate"));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, "CarrierTrackingNumber"));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@LineNumber", System.Data.SqlDbType.TinyInt, 1, "LineNumber"));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_LineNumber", System.Data.SqlDbType.TinyInt, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LineNumber", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SalesOrderID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SalesOrderID", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "CarrierTrackingNumber", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ModifiedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ModifiedDate", System.Data.DataRowVersion.Original, null));
         this.sqlUpdateCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_UnitPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "UnitPrice", System.Data.DataRowVersion.Original, null));
         // 
         // sqlDeleteCommand3
         // 
         this.sqlDeleteCommand3.CommandText = @"DELETE FROM SalesOrderDetail WHERE (LineNumber = @Original_LineNumber) AND (SalesOrderID = @Original_SalesOrderID) AND (CarrierTrackingNumber = @Original_CarrierTrackingNumber OR @Original_CarrierTrackingNumber IS NULL AND CarrierTrackingNumber IS NULL) AND (ModifiedDate = @Original_ModifiedDate) AND (UnitPrice = @Original_UnitPrice)";
         this.sqlDeleteCommand3.Connection = this.m_Connection;
         this.sqlDeleteCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_LineNumber", System.Data.SqlDbType.TinyInt, 1, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LineNumber", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_SalesOrderID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "SalesOrderID", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_CarrierTrackingNumber", System.Data.SqlDbType.NVarChar, 25, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "CarrierTrackingNumber", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ModifiedDate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ModifiedDate", System.Data.DataRowVersion.Original, null));
         this.sqlDeleteCommand3.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_UnitPrice", System.Data.SqlDbType.Money, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "UnitPrice", System.Data.DataRowVersion.Original, null));

      }
		#endregion
	}
}
