using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Web;
using System.Web.Services;
using SmartClientCommBusinessLayer;
using SmartClientCommDataAccess;

namespace WebServicesMiddleTier
{
   [WebService(Namespace="http://www.idesign.net/samples")]
	public class WebServiceShim : WebService, IServiceObject
   {
      #region IServiceObject Members

      [WebMethod]
      public int Add(int a, int b, out long timeTicks)
      {
         long start = DateTime.Now.Ticks;
         ServiceObject so = new ServiceObject();
         int val = so.Add(a,b);
         long end = DateTime.Now.Ticks;
         timeTicks = end - start;
         return val;
      }

      [WebMethod]
      public EmployeeDataSet GetEmployees(out long timeTicks)
      {
         long start = DateTime.Now.Ticks;
         ServiceObject so = new ServiceObject();
         EmployeeDataSet data = so.GetEmployees();
         long end = DateTime.Now.Ticks;
         timeTicks = end - start;
         return data;
      }

      [WebMethod]
      public SimpleSalesData GetSimpleSalesData(out long timeTicks)
      {
         long start = DateTime.Now.Ticks;
         ServiceObject so = new ServiceObject();
         SimpleSalesData data = so.GetSimpleSalesData();
         long end = DateTime.Now.Ticks;
         timeTicks = end - start;
         return data;
      }

      [WebMethod]
      public void ComputeDiscountedRedProductSales(out long timeTicks)
      {
         long start = DateTime.Now.Ticks;
         ServiceObject so = new ServiceObject();
         so.ComputeDiscountedRedProductSales();
         long end = DateTime.Now.Ticks;
         timeTicks = end - start;
      }

      [WebMethod]
      public SalesOrderDetail[] GetSalesDetailCollection(out long timeTicks)
      {
         long start = DateTime.Now.Ticks;
         ServiceObject so = new ServiceObject();
         SalesOrderDetail[] res = so.GetSalesDetailCollection();
         long end = DateTime.Now.Ticks;
         timeTicks = end - start;
         return res;
      }



      #endregion


   }
}
